Subject: Re: bug#58252: 29.0.50; Docstrings generated by defclass may be to wide

From: Stefan Kangas <[email-masked]>
Date: Mon, 3 Oct 2022 00:06:01 +0200

Jonas Bernoulli <[email-masked]> writes:

> The docstrings of these functions are no longer to wide, but I still get
> the same warning,
>
> ,----
> | In toplevel form:
> | emacsql-sqlite-builtin.el:28:5: Warning: docstring wider than 80
> | characters
> `----

OK, I think I found the remaining ones (commit 655c92ce4a).

I've tested with the file emacsql-sqlite-builtin.el, dated

    ;; Package-Version: 20220422.1605
    ;; Package-Commit: c6f66f2a94a0c520d5c1028858adc2ab0f959f96

and I can't see any warnings.  Please verify this on your end.

> Maybe the warning should include information about which docstring(s)
> are too wide?

Yes, that would be good.  It's a bit more work though.